function Generate;

global Demands;
global j01 j02 betta1 betta2 Num
global Y
clc;
ExpGen(j01,betta1,Num-1);

for i=2:Num
    Demands(2,i)=Y(i-1);
    A(i)=Y(i-1);
end;

ExpGen(j02,betta2,Num);

for i=1:Num
    Demands(1,i)=i;
    Demands(3,i)=Y(i);
    Demands(4,i)=Y(i);
    B(i)=Y(i);
end;

%figure;
%j=5:10:145;
%hist(A,j);

%figure
%j=20:40:580;
%hist(B,j);